const moment = require('moment')
const chalk = require('chalk')

module.exports = (msg) => {
  const dateFormat = 'ddd MMM Do hh:mm:ss A'

  if (msg.startsWith('START') || msg.startsWith('END') || msg.startsWith('REPORT')) {
    return ''
  }

  if (msg.trim() === 'Process exited before completing request') {
    return chalk.red(msg)
  }

  const splitted = msg.split('\t')

  if (splitted.length < 3) {
    return msg
  }

  let date = ''
  let reqId = ''
  const dateDisplay = {
    sameDay: '[Today at] hh:mm:ss A',
    nextDay: '[Tomorrow at] hh:mm:ss A',
    nextWeek: 'dddd',
    lastDay: '[Yesterday at] hh:mm:ss A',
    lastWeek: '[Last] dddd [at] hh:mm:ss A',
    sameElse: dateFormat
  }
  if (!isNaN((new Date(splitted[0])).getTime())) {
    date = splitted[0]
    reqId = splitted[1]
  } else if (!isNaN((new Date(splitted[1])).getTime())) {
    date = splitted[1]
    reqId = splitted[2]
  } else {
    return msg
  }
  const text = msg.split(`${reqId}\t`)[1]
  const time = chalk.grey(moment(date).calendar(null, dateDisplay))

  return `${time} ${text}`
}
